%define amversion 1.14

%define docheck 0
%{?_without_check: %global docheck 0}

Summary:	A GNU tool for automatically creating Makefiles
Name:		automake
Version:	1.14.1
Release:	5
License:	GPLv2+
Group:		Development/Other
Url:		http://sources.redhat.com/automake/
Source0:	ftp://ftp.gnu.org/gnu/automake/automake-%{version}.tar.xz
Source100:	fix-old-automake-files
# Automatically invoke fix-old-automake-files from aclocal
Patch0:		automake-1.13.1-automatically-fix-old-files.patch
# Something changed in Perl 5.18 and the testsuite started to fail because
# of random looping in hashes items.  Upstream will probably start sorting of
# hash items by default for this failing case ~> we just don't resist on its
# order for now (only testsuite change).
# ~> Downstream
# ~> http://lists.gnu.org/archive/html/bug-automake/2013-07/msg00022.html
Patch1:		automake-1.13.4-hash-order-workaround.patch
BuildRequires:	autoconf
BuildRequires:	texinfo
# tests need these
%if %{docheck}
BuildRequires:	bison
BuildRequires:	dejagnu
BuildRequires:	emacs
BuildRequires:	flex
BuildRequires:	gcc-java
BuildRequires:	python
BuildRequires:	tetex-latex
%endif
Requires:	autoconf
Requires:	sed
Conflicts:	automake1.5
Provides:	automake1.9 = %{EVRD}
Obsoletes:	automake1.9 < %{EVRD}
Provides:	automake1.8 = %{EVRD}
Obsoletes:	automake1.8 < %{EVRD}
Requires(post,preun):	update-alternatives
BuildArch:	noarch

%description
Automake is a tool for automatically generating Makefiles compliant with
the GNU Coding Standards.

You should install Automake if you are developing software and would like
to use its capabilities of automatically generating GNU standard
Makefiles. If you install Automake, you will also need to install GNU's
Autoconf package.

%files
%doc AUTHORS ChangeLog NEWS README THANKS
%{_bindir}/automake
%{_bindir}/aclocal
%{_bindir}/fix-old-automake-files
%{_bindir}/automake-%{amversion}
%{_bindir}/aclocal-%{amversion}
%{_bindir}/automake-1.8
%{_bindir}/aclocal-1.8
%{_bindir}/automake-1.9
%{_bindir}/aclocal-1.9
%{_bindir}/automake-1.11
%{_bindir}/aclocal-1.11
%{_bindir}/automake-1.12
%{_bindir}/aclocal-1.12
%{_bindir}/automake-1.13
%{_bindir}/aclocal-1.13
%{_datadir}/automake*
%{_infodir}/automake*
%{_datadir}/aclocal*
%{_mandir}/man1/aclocal-%{amversion}*
%{_mandir}/man1/aclocal.1*
%{_mandir}/man1/automake-%{amversion}*
%{_mandir}/man1/automake.1*

%pre
if [ "$1" = 1 ]; then
  update-alternatives --remove automake %{_bindir}/automake-1.8
  update-alternatives --remove automake %{_bindir}/automake-1.9
  update-alternatives --remove automake %{_bindir}/automake-1.11
  update-alternatives --remove automake %{_bindir}/automake-1.12
  update-alternatives --remove automake %{_bindir}/automake-1.13
fi

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%check
%if %{docheck}
# (Abel) reqd2.test tries to make sure automake won't work if ltmain.sh
# is not present. But automake behavior changed, now it can handle missing
# libtool file as well, so this test is bogus.
sed -e 's/reqd2.test//g' -i tests/Makefile
make check # VERBOSE=1
%endif

%install
%makeinstall_std

# provide -1.x symlinks
for i in 8 9 11 12 13; do
	ln -s automake-%{amversion} %{buildroot}%{_bindir}/automake-1.$i
	ln -s aclocal-%{amversion} %{buildroot}%{_bindir}/aclocal-1.$i
done

rm -f %{buildroot}/%{_infodir}/*
install -m 644 doc/%{name}.info* %{buildroot}/%{_infodir}/
install -c -m 755 %{SOURCE100} %{buildroot}%{_bindir}/

mkdir -p %{buildroot}%{_datadir}/aclocal




%changelog
* Thu Sep 18 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.14.1-5
+ Revision: 78b935f
- One more fix to fix-old-automake-files


